Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointLoad Class Reference

`#include <vtkPointLoad.h>`

Inheritance diagram for vtkPointLoad:

[legend]
Collaboration diagram for vtkPointLoad:

[legend]
List of all members.

## Detailed Description

compute stress tensors given point load on semi-infinite domain

Date:
  2002/08/05 17:29:13

Revision:
  1.36

vtkPointLoad is a source object that computes stress tensors on a volume. The tensors are computed from the application of a point load on a semi-infinite domain. (The analytical results are adapted from Saada - see text.) It also is possible to compute effective stress scalars if desired. This object serves as a specialized data generator for some of the examples in the text.

See also:
  vtkTensorGlyph, vtkHyperStreamline

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (60%)
  - Martin, Ken (23%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkPointLoad.h)`
  - .`cxx` (`/Imaging/vtkPointLoad.cxx)`

Tests:
  vtkPointLoad (Tests)

Definition at line 53 of file vtkPointLoad.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetSampleDimensions (int i, int j, int k)
virtual void | SetLoadValue (float)
virtual float | GetLoadValue ()
void | SetSampleDimensions (int dim[3])
virtual int * | GetSampleDimensions ()
virtual void | GetSampleDimensions (int data[3])
virtual void | SetModelBounds (float, float, float, float, float, float)
virtual void | SetModelBounds (float[6])
virtual float * | GetModelBounds ()
virtual void | GetModelBounds (float data[6])
virtual void | SetPoissonsRatio (float)
virtual float | GetPoissonsRatio ()
void | SetComputeEffectiveStress (int)
int | GetComputeEffectiveStress ()
void | ComputeEffectiveStressOn ()
void | ComputeEffectiveStressOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPointLoad * | SafeDownCast (vtkObject *o)
vtkPointLoad * | New ()
## Protected Methods
| vtkPointLoad ()
| ~vtkPointLoad ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *)
## Protected Attributes
float | LoadValue
float | PoissonsRatio
int | SampleDimensions [3]
float | ModelBounds [6]

## Member Typedef Documentation

typedef vtkImageSource vtkPointLoad::Superclass

| Reimplemented from vtkImageSource. Definition at line 56 of file vtkPointLoad.h.

## Constructor & Destructor Documentation

vtkPointLoad::vtkPointLoad | ( |  | ) | `[protected]`

vtkPointLoad::~vtkPointLoad | ( |  | ) | `[inline, protected]`

| Definition at line 104 of file vtkPointLoad.h.

## Member Function Documentation

virtual const char* vtkPointLoad::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkPointLoad::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkPointLoad::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkPointLoad* vtkPointLoad::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkPointLoad::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

vtkPointLoad* vtkPointLoad::New | ( |  | ) | `[static]`

| Construct with ModelBounds=(-1,1,-1,1,-1,1), SampleDimensions=(50,50,50), and LoadValue = 1. Reimplemented from vtkObject.

virtual void vtkPointLoad::SetLoadValue | ( | float |  | ) | `[virtual]`

| Set/Get value of applied load.

virtual float vtkPointLoad::GetLoadValue | ( |  | ) | `[virtual]`

| Set/Get value of applied load.

void vtkPointLoad::SetSampleDimensions | ( | int | i,
|  | int | j,
|  | int | k
| ) |

| Specify the dimensions of the volume. A stress tensor will be computed for each point in the volume.

void vtkPointLoad::SetSampleDimensions | ( | int | dim[3] | ) |

| Specify the dimensions of the volume. A stress tensor will be computed for each point in the volume.

virtual int* vtkPointLoad::GetSampleDimensions | ( |  | ) | `[virtual]`

| Specify the dimensions of the volume. A stress tensor will be computed for each point in the volume.

virtual void vtkPointLoad::GetSampleDimensions | ( | int | data[3] | ) | `[virtual]`

| Specify the dimensions of the volume. A stress tensor will be computed for each point in the volume.

virtual void vtkPointLoad::SetModelBounds | ( | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the region in space over which the tensors are computed. The point load is assumed to be applied at top center of the volume.

virtual void vtkPointLoad::SetModelBounds | ( | float | [6] | ) | `[virtual]`

| Specify the region in space over which the tensors are computed. The point load is assumed to be applied at top center of the volume.

virtual float* vtkPointLoad::GetModelBounds | ( |  | ) | `[virtual]`

| Specify the region in space over which the tensors are computed. The point load is assumed to be applied at top center of the volume.

virtual void vtkPointLoad::GetModelBounds | ( | float | data[6] | ) | `[virtual]`

| Specify the region in space over which the tensors are computed. The point load is assumed to be applied at top center of the volume.

virtual void vtkPointLoad::SetPoissonsRatio | ( | float |  | ) | `[virtual]`

| Set/Get Poisson's ratio.

virtual float vtkPointLoad::GetPoissonsRatio | ( |  | ) | `[virtual]`

| Set/Get Poisson's ratio.

void vtkPointLoad::SetComputeEffectiveStress | ( | int |  | ) | `[inline]`

| Turn on/off computation of effective stress scalar. These methods do nothing. The effective stress is always computed. Definition at line 96 of file vtkPointLoad.h.

int vtkPointLoad::GetComputeEffectiveStress | ( |  | ) | `[inline]`

| Turn on/off computation of effective stress scalar. These methods do nothing. The effective stress is always computed. Definition at line 97 of file vtkPointLoad.h.

void vtkPointLoad::ComputeEffectiveStressOn | ( |  | ) | `[inline]`

| Turn on/off computation of effective stress scalar. These methods do nothing. The effective stress is always computed. Definition at line 98 of file vtkPointLoad.h.

void vtkPointLoad::ComputeEffectiveStressOff | ( |  | ) | `[inline]`

| Turn on/off computation of effective stress scalar. These methods do nothing. The effective stress is always computed. Definition at line 99 of file vtkPointLoad.h.

virtual void vtkPointLoad::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkPointLoad::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

## Member Data Documentation

float vtkPointLoad::LoadValue`[protected]`

| Definition at line 109 of file vtkPointLoad.h.

float vtkPointLoad::PoissonsRatio`[protected]`

| Definition at line 110 of file vtkPointLoad.h.

int vtkPointLoad::SampleDimensions[3]`[protected]`

| Definition at line 111 of file vtkPointLoad.h.

float vtkPointLoad::ModelBounds[6]`[protected]`

| Definition at line 112 of file vtkPointLoad.h.

The documentation for this class was generated from the following file:

- Imaging/vtkPointLoad.h